Summary:        A free and open rendering engine for complex scripts
Name:           graphite2
Version:        1.3.14
Release:        4%{?dist}
License:        (LGPLv2+ or GPLv2+ or MPLv1.1) and (Netscape or GPLv2+ or LGPLv2+)
URL:            http://graphite.sil.org/
Source0:        https://github.com/silnrsi/graphite/archive/%{version}/%{name}-%{version}.tar.gz
# It makes graphite linking gcc dynamic library. The based url is https://build.opensuse.org/package/view_file/openSUSE:Factory/graphite2/link-gcc-shared.diff?expand=1
Patch3000:      link-gcc-shared.diff
Patch3001:      graphite2-1.2.0-cmakepath.patch



BuildRequires:  cmake, gcc, gcc-c++
BuildRequires:  freetype-devel
# needed for running the test suite
BuildRequires:  python3-fonttools

%description
Graphite is a package that can be used to create “smart fonts” capable of
displaying writing systems with various complex behaviors. A smart font
contains not only letter shapes but also additional instructions indicating
how to combine and position the letters in complex ways.

%package devel
Summary:        Files for developing with graphite2
Requires:       %{name} = %{version}-%{release}

%description devel
Graphite is a package that can be used to create “smart fonts” capable of
displaying writing systems with various complex behaviors. A smart font
contains not only letter shapes but also additional instructions indicating
how to combine and position the letters in complex ways.

This package provides includes and definitions for developing with graphite2.



%prep
%autosetup -p1 -n graphite-%{version}



%build
%cmake -DGRAPHITE2_COMPARE_RENDERER=OFF
%cmake_build



%install
%cmake_install

find %{buildroot} -type f -name "*.la" -print -delete



%check
%ctest



%files
%license LICENSE COPYING
%doc ChangeLog README.md
%{_bindir}/gr2fonttest
%{_libdir}/libgraphite2.so.3*

%files devel
%{_includedir}/graphite2/
%dir %{_libdir}/graphite2/
%{_libdir}/graphite2/graphite2-release.cmake
%{_libdir}/graphite2/graphite2.cmake
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.14-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 20 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.3.14-1
- Initial building.
